aboutsummaryrefslogtreecommitdiff
path: root/bash/npm.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2019-01-03 06:12:39 -0200
committerEuAndreh <eu@euandre.org>2019-01-03 06:42:41 -0200
commitb679e7d91f7af2d97bead966a17b715cdb020b1a (patch)
tree71926893088a93513971d950d5a19b012722fedf /bash/npm.sh
parentAdd custom nu gitconfig options in nugitconfig.ini file. (diff)
downloaddotfiles-b679e7d91f7af2d97bead966a17b715cdb020b1a.tar.gz
dotfiles-b679e7d91f7af2d97bead966a17b715cdb020b1a.tar.xz
Fix shellcheck ofsenses on bash scripts.
Diffstat (limited to 'bash/npm.sh')
-rw-r--r--bash/npm.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bash/npm.sh b/bash/npm.sh
index c23c074..7fbe4f7 100644
--- a/bash/npm.sh
+++ b/bash/npm.sh
@@ -2,9 +2,9 @@
# FIXME: port to NixOS
npm_i() {
- (which $1 &> /dev/null) || {
+ (command -v "$1" &> /dev/null) || {
yellow "Installing $2"
- npm i -g $2
+ npm i -g "$2"
}
}